LibreOffice: XFormatCondition Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
XFormatCondition Interface Reference

specifies a format condition for a control. More...

`import <XFormatCondition.idl;`

Inheritance diagram for XFormatCondition:

## Exported Interfaces
interface | XReportControlFormat
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.

## Public Attributes
boolean | Enabled
| specifies if the condition is enabled or not.
string | Formula
| defines the formula of the format condition.
Public Attributes inherited from XReportControlFormat
com::sun::star::util::Color | ControlBackground
| specifies the background color (RGB) of the control.
boolean | ControlBackgroundTransparent
| determines if the background color is set to transparent.
short | ParaAdjust
| specifies the horizontal alignment of the text.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorAsian
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorComplex
| specifies the font attributes of the text in the control.
short | ControlTextEmphasis
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | CharEmphasis
| contains the font emphasis value as com::sun::star::text::FontEmphasis.
boolean | CharCombineIsOn
| determines whether text is formatted in two lines.
string | CharCombinePrefix
| contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| contains the suffix (usually parenthesis) after text that is formatted in two lines.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
boolean | CharShadowed
| specifies if the characters are formatted and displayed with a shadow effect.
boolean | CharContoured
| specifies if the characters are formatted and displayed with a contour effect.
short | CharCaseMap
| optional property which contains the value of the case-mapping of the text for formatting and displaying.
com::sun::star::lang::Locale | CharLocale
| contains the value of the locale.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
byte | CharEscapementHeight
| This is the additional height used for subscript or superscript characters in units of percent.
boolean | CharAutoKerning
| optional property to determine whether the kerning tables from the current font are used.
short | CharKerning
| optional property which contains the value of the kerning of the characters.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | CharFontName
| This attribute specifies the name of the font style.
string | CharFontStyleName
| This attribute contains the name of the font style.
short | CharFontFamily
| This attribute contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSet
| This attribute contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitch
| This attribute contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::util::Color | CharColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | CharUnderlineColor
| specifies the text line color (RGB) of the control.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This attribute contains the value for the character underline.
float | CharWeight
| This attribute contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This attribute contains the value of the posture of the document.
short | CharStrikeout
| determines the type of the strike out of the character.
boolean | CharWordMode
| If this attribute is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharRotation
| determines the rotation of a character in degree.
short | CharScaleWidth
| determines the percentage value for scaling the width of characters.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control.
string | HyperLinkURL
| contains the URL of a hyperlink (if set).
string | HyperLinkTarget
| contains the name of the target for a hyperlink (if set).
string | HyperLinkName
| contains the name of the hyperlink (if set).
string | VisitedCharStyleName
| contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| contains the character style name for unvisited hyperlinks.
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a format condition for a control.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ XReportControlFormat

interface XReportControlFormat

## Member Data Documentation

## ◆ Enabled

boolean Enabled
| attributebound

specifies if the condition is enabled or not.

## ◆ Formula

string Formula
| attributebound

defines the formula of the format condition.

If the formula evaluates to `TRUE` then the format will be applied.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XFormatCondition.idl